LOCAL = $(CURDIR)/local
ENV = CPATH=$(LOCAL)/include LD_RUN_PATH=$(LOCAL)/lib LIBRARY_PATH=$(LOCAL)/lib
all: contrib dwarf-assembly libunwind-eh_elf

.PHONY: contrib dwarf-assembly libunwind-eh_elf

contrib:
	$(MAKE) -C $@

dwarf-assembly: contrib
	$(ENV) $(MAKE) -C $@

libunwind-eh_elf: contrib
	cd $@ \
		&& ./autogen.sh \
		&& ./configure --prefix=$(LOCAL)
	$(ENV) $(MAKE) -C $@
	$(ENV) $(MAKE) -C $@ install
